import java.lang.String;
import java.awt.*;
import javax.swing.*;
import java.io.*;

public class General extends javax.swing.JFrame
{
	JLabel imagen;

	OpcionA4 a4;
	OpcionA8 a8;
	OpcionA16 a16;
	OpcionA32 a32;
	OpcionB1 b1;
	OpcionB2 b2;
	
	JButton ra4, ra8, ra16, ra32, rb1, rb2;
	
	JLabel l1, l2;
	
    public General() 
	{
        iniciarComponentes();
		setSize(800, 600);
		setResizable(false);
		
		try
		{
		 	UIManager.setLookAndFeel("com.sun.java.swing.plaf.windows.WindowsLookAndFeel");
		 	SwingUtilities.updateComponentTreeUI(this);
		}
		catch (Exception e){}
    }
    
	
	private javax.swing.JButton button1, button2, atrs;
	private javax.swing.JLabel texto1, texto2, texto3, texto4, texto5;
	
    private void iniciarComponentes() 
	{
		button1 = new javax.swing.JButton();
		button2 = new javax.swing.JButton();
		atrs = new javax.swing.JButton();
		texto1 = new javax.swing.JLabel();
		texto2 = new javax.swing.JLabel();
		texto3 = new javax.swing.JLabel();
		texto4 = new javax.swing.JLabel();
		texto5 = new javax.swing.JLabel();		
		ra4 = new javax.swing.JButton();
		ra8 = new javax.swing.JButton();
		ra16 = new javax.swing.JButton();
		ra32 = new javax.swing.JButton();
		rb1 = new javax.swing.JButton();
		rb2 = new javax.swing.JButton();
		
		l1 = new JLabel();
		l2 = new JLabel();
		
		l1.setText("SIMUTEMP");
		l1.setFont(new java.awt.Font("Arial Black", 1, 36));
		l1.setForeground(Color.yellow);
		l1.setBounds(280, 180, 250, 100);
		getContentPane().add(l1);
		
		l2.setText("DEMOSTRACIN Y EJERCICIOS DE UN CONMUTADOR TEMPORAL");
		l2.setFont(new java.awt.Font("Dialog", 1, 18));
		l2.setForeground(Color.cyan);
		l2.setBounds(110, 250, 600, 100);
		getContentPane().add(l2);
		
		imagen = new JLabel(new ImageIcon(getClass().getResource("/definitivo.JPG")));
		imagen.setBounds(290, 150, 219, 242);
		getContentPane().add(imagen);
		

		ra4.setText("TDM de 4 canales");
        ra4.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                opcionA4Handler(evt);
            }
        });
		
		ra4.setBounds(30, 200, 150, 30);
		getContentPane().add(ra4);
		
		ra8.setText("TDM de 8 canales");
        ra8.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                opcionA8Handler(evt);
            }
        });
		
		ra8.setBounds(50, 240, 150, 30);
		getContentPane().add(ra8);
		
		ra16.setText("TDM de 16 canales");
        ra16.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                opcionA16Handler(evt);
            }
        });
		
		ra16.setBounds(70, 280, 150, 30);
		getContentPane().add(ra16);
		
		ra32.setText("TDM de 32 canales");
        ra32.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                opcionA32Handler(evt);
            }
        });
		
		ra32.setBounds(90, 320, 150, 30);
		getContentPane().add(ra32);
		
		rb1.setText("Demostracin de Conmutacin en el Tiempo");
        rb1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                opcionB1Handler(evt);
            }
        });
		
		rb1.setBounds(520, 230, 250, 30);
		getContentPane().add(rb1);
		
		rb2.setText("Demostracin de Sincronismo y Sealizacin");
        rb2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                opcionB2Handler(evt);
            }
        });
		
		rb2.setBounds(520, 270, 250, 30);
		getContentPane().add(rb2);
		
		
	
		button1.setText("Opcin A: Multiplexacin por Divisin en el Tiempo (TDM)");
		button1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                button1Handler(evt);
            }
        });
		
		getContentPane().add(button1);
        button1.setBounds(200, 410, 400, 30);
	
		button2.setText("Opcin B: Conmutacin Temporal con TDM");
		button2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                button2Handler(evt);
            }
        });
		
		getContentPane().add(button2);
        button2.setBounds(200, 450, 400, 30);
		
		atrs.setText("<= Atrs");
		atrs.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                atrsHandler(evt);
            }
        });
		
		getContentPane().add(atrs);
        atrs.setBounds(360, 430, 80, 30);
		
		
        
        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent evt) {
                exitForm(evt);
            }
        });
		
		getContentPane().setLayout(null);
        getContentPane().setBackground(new java.awt.Color(51, 51, 255));
		setTitle("SIMUTEMP");
        addWindowListener(new java.awt.event.WindowAdapter() {
          public void windowClosing(java.awt.event.WindowEvent evt) {
                exitForm(evt);
            }
        });
		    
		texto1.setText("UNIVERSIDAD POLITCNICA DE CARTAGENA");
		texto1.setFont(new java.awt.Font("Dialog", 1, 18));
		texto1.setForeground(Color.white);
		texto1.reshape(195, 20, 440, 30);
		getContentPane().add(texto1);
		
		texto2.setText("Escuela Tcnica Superior de Ingeniera de Telecomunicacin");
		texto2.setFont(new java.awt.Font("Dialog", 1, 14));
		texto2.setForeground(Color.white);
		texto2.reshape(185, 50, 450, 30);
		getContentPane().add(texto2);
		
		texto3.setText("rea de Ingeniera Telemtica");
		texto3.setFont(new java.awt.Font("Dialog", 1, 14));
		texto3.setForeground(Color.white);
		texto3.reshape(290, 80, 250, 30);
		getContentPane().add(texto3);
		
		texto4.setText("DEMOSTRACIONES Y EJERCICIOS DE CONMUTACIN EN EL TIEMPO");
		
		getContentPane().add(texto4);
		
		JPanel panelNombre = new JPanel();		
		panelNombre.setBounds(0, 510, 800, 60);
		panelNombre.setBackground(new java.awt.Color(0, 0, 128));
		panelNombre.setLayout(null);
		getContentPane().add(panelNombre);
		
		texto5.setText("Autor: Francisco Javier Martnez Mercader");
		texto5.setForeground(Color.white);
		texto5.setFont(new java.awt.Font("Dialog", 3, 14));
		texto5.setBounds(254, 14, 300, 30);
		panelNombre.add(texto5);
		
		
		
		
		
		
		
		
		ra4.setVisible(false);
		ra8.setVisible(false);
		ra16.setVisible(false);
		ra32.setVisible(false);
		rb1.setVisible(false);
		rb2.setVisible(false);
		atrs.setVisible(false);
		
        pack();
    }
	
	
	private void opcionA4Handler(java.awt.event.ActionEvent evt)
	{
     	a4 = new OpcionA4();
		
		a4.show();	
		(this).hide();   
    }
	private void opcionA8Handler(java.awt.event.ActionEvent evt) 
	{
        a8 = new OpcionA8();
		
		a8.show();	
		(this).hide();
    }
	private void opcionA16Handler(java.awt.event.ActionEvent evt) 
	{
        a16 = new OpcionA16();
		
		a16.show();	
		(this).hide();
    }
	private void opcionA32Handler(java.awt.event.ActionEvent evt) 
	{
        a32 = new OpcionA32();
		
		a32.show();	
		(this).hide();
    }
	private void opcionB1Handler(java.awt.event.ActionEvent evt) 
	{
        b1 = new OpcionB1();
		
		b1.show();	
		(this).hide();
    }
	private void opcionB2Handler(java.awt.event.ActionEvent evt)
	{
        b2 = new OpcionB2();
		
		b2.show();	
		(this).hide();
    }
	private void atrsHandler(java.awt.event.ActionEvent evt) 
	{
    	ra4.setVisible(false);
		ra8.setVisible(false);
		ra16.setVisible(false);
		ra32.setVisible(false);
		rb1.setVisible(false);
		rb2.setVisible(false);
		atrs.setVisible(false);
		button1.setVisible(true);
		button2.setVisible(true);
		l1.setVisible(true);
		l2.setVisible(true);
    }
	
    
	private void button1Handler(java.awt.event.ActionEvent evt)
	{		
		ra4.setVisible(true);
		ra8.setVisible(true);
		ra16.setVisible(true);
		ra32.setVisible(true);
		atrs.setVisible(true);
		
		button1.setVisible(false);
		button2.setVisible(false);
		l1.setVisible(false);
		l2.setVisible(false);
	}
	
	private void button2Handler(java.awt.event.ActionEvent evt)
	{
		rb1.setVisible(true);
		rb2.setVisible(true);
		atrs.setVisible(true);
		
		button1.setVisible(false);
		button2.setVisible(false);
		l1.setVisible(false);
		l2.setVisible(false);
	}
	
    private void exitForm(java.awt.event.WindowEvent evt)
 	{
        System.exit(0);
    }
 
 	
    
    public static void main(String args[]) 
	{
        new General().show();
    }
}
